Package weka.core.pmml.jaxbbindings

# Class BaselineStratum

java.lang.Object
weka.core.pmml.jaxbbindings.BaselineStratum

public class BaselineStratum extends Object

Java class for BaselineStratum element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="BaselineStratum">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}BaselineCell" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="label" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maxTime" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaselineStratum()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BaselineCell>`
  `getBaselineCell()`
  Gets the value of the baselineCell property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getLabel()`
  Gets the value of the label property.
  `double`
  `getMaxTime()`
  Gets the value of the maxTime property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setLabel(String value)`
  Sets the value of the label property.
  `void`
  `setMaxTime(double value)`
  Sets the value of the maxTime property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaselineStratum

    public BaselineStratum()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getBaselineCell

    public List<BaselineCell> getBaselineCell()
    Gets the value of the baselineCell property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baselineCell property.

    For example, to add a new item, do as follows:

            getBaselineCell().add(newItem);

    Objects of the following type(s) are allowed in the list `BaselineCell`

  - ### getLabel

    public String getLabel()
    Gets the value of the label property.
    Returns:
      possible object is `String`

  - ### setLabel

    public void setLabel(String value)
    Sets the value of the label property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMaxTime

    public double getMaxTime()
    Gets the value of the maxTime property.

  - ### setMaxTime

    public void setMaxTime(double value)
    Sets the value of the maxTime property.

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`